Subject: Re: [MMUSIC] Re: [Sip] Open Issue #150: too many ways of saying " don't send me media"

From: Flemming Andreasen <[email-masked]>
Date: Fri, 04 Jan 2002 13:21:39 -0500

Jonathan Rosenberg wrote:

> Flemming Andreasen wrote:
>
> >
>
> >>The semantics are:
> >>
> >>c=0.0.0.0: will cease reception of RTP and RTCP, no longer the
> >>recommended way to do hold, has issues with SRTP keying, ipv6,
> >>connection oriented media, etc. Generally bad.
> >>
> >>a=inactive/sendonly - stops only RTP
> >>
> >>port 0: turns of media streams - safe to unload codecs, etc.
> >>
> >>bw=0: will turn off reception of RTP and RTCP
> >>
> >
> > Do we really need the "bw" one ?
>
> No, its not really NEEDED. The point Henning had made at IETF is that
> the treatment for any bandwidth number is well defined; in that case,
> disallowing zero is a special case. I see no reason to disallow it as a
> special case when it has defined meaning for all values.
>

I'm not sure I agree with this. Let's say I specify a bw of 1 kilobit, and
the only codec supported currently is G.711. What do I do ?

There are several parameters that can have more or less sensible values
associated with them and having a bandwidth specify less than the current
codecs is not sensible IMO. All you are doing is defining yet another
implicit way of signaling something for which there is already explicit
signaling support in place. I'd rather reduce the number of well-defined
options for expressing something than increasing it. Not a big deal either
way to me, but more of a general design principle - I'll leave it up to
you.

-- Flemming

--
Flemming Andreasen
Cisco Systems

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip